using Upsilon.Evaluator;

namespace Upsilon.BaseTypes.ScriptFunction
{
    public abstract class ScriptFunction : ScriptType
    {
        public override Type Type => Type.Function;
        public override object ToCSharpObject()
        {
            return this;
        }

        public override System.Type GetCSharpType()
        {
            return null;
        }

        public abstract ScriptType Run(Diagnostics diagnostics, ScriptType[] variables, Script script, EvaluationScope scope);
    }
}