using System.Collections.Generic;
using Upsilon.BaseTypes;

namespace Upsilon.Binder.VariableSymbols
{
    public class TableVariableSymbol : VariableSymbol
    {
        public Dictionary<string, VariableSymbol> Variables { get; }

        public TableVariableSymbol(string name, bool local, Dictionary<string, VariableSymbol> variables)
            :base (name, Type.Table, local)
        {
            Variables = variables;
        }
    }
}